command-not-found (20.10.1.1-deepin1) unstable; urgency=medium

  * Add nocheck for auto_test

 -- Han Gao <gaohan@iscas.ac.cn>  Sat, 07 Jan 2023 16:15:20 +0800

command-not-found (20.10.1-1) unstable; urgency=medium

  * Trim trailing whitespace.
  * Bump debhelper dependency to >= 9, since that's what is used in debian/compat.
  * Bump debhelper from old 9 to 10.
  * New upstream version 20.10.1 (Closes: #953667)
  * Rebase patches; drop no-database.diff, no longer needed

 -- Julian Andres Klode <jak@debian.org>  Wed, 06 Jan 2021 11:44:18 +0100

command-not-found (20.10.1) groovy; urgency=medium

  * Avoid crash if tmpdb is locked. Skip execution and let the other process
    do its job. (LP: #1875760)

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 03 Aug 2020 13:06:59 +0200

command-not-found (20.10.0) groovy; urgency=medium

  * zsh: Do not pass --no-failure-msg, non-existing commands were not getting
    any output at all (LP: #1766068) (Closes: #927876)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 01 Jun 2020 13:44:25 +0200

command-not-found (20.04.3) groovy; urgency=medium

  * Condense all output, drop all empty new lines. LP: #1875501

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 27 May 2020 10:50:21 +0100

command-not-found (20.04.2) focal; urgency=medium

  * Having a command in quotes with a space after it isn't very tasteful.

 -- Brian Murray <brian@ubuntu.com>  Mon, 06 Apr 2020 12:52:58 -0700

command-not-found (20.04.1) focal; urgency=medium

  * Special case python -> python3, with extra advert of
    python-is-python3.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Mar 2020 11:01:51 +0000

command-not-found (20.04.0) focal; urgency=medium

  * Special case python -> python3, using existing translated strings. LP:
    #1306682, LP: #1863532

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Mar 2020 13:10:32 +0000

command-not-found (19.10.0) eoan; urgency=medium

  * If the database is absent, do not crash with a backtrace, but tell the
    user to run apt update.
  * Remove the command-not-found-data package (LP: #1844651)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 07 Oct 2019 17:08:21 +0200

command-not-found (18.10.0~pre2) cosmic; urgency=medium

  * Update data for state as of release.  LP: #1802462.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 09 Nov 2018 12:17:44 -0800

command-not-found (18.10.0~pre1) cosmic; urgency=medium

  * first cosmic build

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 May 2018 07:35:23 +0200

command-not-found (18.04.5-1) unstable; urgency=medium

  * Merge from Ubuntu (Closes: #914255, #649289, #820534, #578523);
    remaining changes:
    - Install library to private location
    - Install scripts to /usr/bin as well
    - Use Contents files instead of Commands files

 -- Julian Andres Klode <jak@debian.org>  Wed, 21 Nov 2018 09:32:37 +0100

command-not-found (18.04.5) bionic; urgency=medium

  * Ensure /snap/bin is in PATH when checking for commands
    (LP: #1769088)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 05 May 2018 08:41:03 +0200

command-not-found (18.04.4) bionic; urgency=medium

  * Refresh the command indices.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 23 Apr 2018 15:14:35 -0700

command-not-found (18.04.3) bionic; urgency=medium

  * Change <snap name> to <snapname> (LP: #1764413)
  * Update static commands data

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Apr 2018 08:22:35 +0200

command-not-found (18.04.2) bionic; urgency=medium

  * Drop unused python2 python-commandnotfound package (LP: #1763082)
  * Build with pybuild to simplify debian/rules

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Apr 2018 10:12:03 -0400

command-not-found (18.04.1) bionic; urgency=medium

  * CommandNotFound/CommandNotFound.py:
    - add special case for "python" when "python3" is already installed
    - update static commands data deb packaging
    - update static commands data

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Apr 2018 09:53:10 +0200

command-not-found (18.04.0) bionic; urgency=medium

  * support "ignore-commands" tags to support blacklisting certain
    commands
  * update advise to print "but can be installed with:"
  * when multiple versions are found, write the first version as:
    "# version 1.0, or" (i.e. append ", or")

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Apr 2018 11:54:19 +0200

command-not-found (18.04.0~pre8) bionic; urgency=medium

  * Update CommandNotFound/db to latest bionic.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 28 Mar 2018 10:39:21 +0200

command-not-found (18.04.0~pre7) bionic; urgency=medium

  * Only rebuild commands.db if the inputs changed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Mar 2018 12:03:58 +0100

command-not-found (18.04.0~pre6) bionic; urgency=medium

  * update output to the latest agreements with the various
    stakeholders

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Mar 2018 09:51:37 +0100

command-not-found (18.04.0~pre5) bionic; urgency=medium

  * fix ftbfs harder (mock posix.geteuid())

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Mar 2018 12:15:23 +0100

command-not-found (18.04.0~pre4) bionic; urgency=medium

  * fix ftbfs
  * improve tests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Mar 2018 12:07:33 +0100

command-not-found (18.04.0~pre3) bionic; urgency=medium

  * CommandNotFound/CommandNotFound.py:
    - fix bug in "command-not-found jq" where empty () was shown
    - fix output to match https://forum.snapcraft.io/t/4345/3/
    - add output format tests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 10 Mar 2018 21:59:07 +0100

command-not-found (18.04.0~pre2) bionic; urgency=medium

  * add versionized dependencies from command-not-found on
    command-not-found-data and python3-commandnotfound
  * update output to the latest agreement

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 07 Mar 2018 14:58:22 +0100

command-not-found (18.04.0~pre1) bionic; urgency=medium

  * New version:
    - switch from gdbm to sqlite (smaller files and faster searches)
    - will fetch "dists/bionic/*/binary-*/cnf/Commands-* files
      once the archive provides them
    - CLI output follows what is outlined in LP: #1749777
    - command-not-found-data switched to consume Commands-* files
      (package can be dropped/emptied once server side Commands-* files
       are available)
    - support for suggestions based on snap packages
    - add autopkgtest to the package

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Feb 2018 14:26:58 +0100

command-not-found (0.3ubuntu18.04.0~pre4) bionic; urgency=medium

  * CommandNotFound/CommandNotFound.py:
    - do not show stderr from snap output

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 17 Feb 2018 17:09:01 +0100

command-not-found (0.3ubuntu18.04.0~pre3) bionic; urgency=medium

  * CommandNotFound/CommandNotFound.py:
    - limit input to 256 chars to avoid DoS (LP: #1605732)
    - add support for suggesting commands snap from snaps
      (needs snapd 2.31+ to work)
    - add "snapd" to suggests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Feb 2018 09:15:40 +0100

command-not-found (0.3ubuntu18.04.0~pre2) bionic; urgency=medium

  * Update scan.data to latest bionic.
  * Add pyflakes test and make pyflakes clean.
  * Update README to markdown and include how to run the tests.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Feb 2018 14:37:32 +0100

command-not-found (0.3ubuntu18.04.0~pre1) bionic; urgency=medium

  * Update scan.data to bionic.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Dec 2017 09:07:18 +0100

command-not-found (0.3ubuntu17.10.2) artful; urgency=medium

  * Update scan.data after a new "artful" archive scan
    (LP: #1739467)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Dec 2017 19:29:20 +0100

command-not-found (0.3ubuntu17.10.1) artful; urgency=medium

  * Update scan.data for new changes in artful.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 25 Sep 2017 10:22:26 -0400

command-not-found (0.3ubuntu17.10.0) artful; urgency=medium

  * Removing not used directory /usr/share/command-not-found/data/

 -- Dominique Ramaekers <dominique.ramaekers@crowdcloud.be>  Mon, 31 Jul 2017 17:23:52 +0200

command-not-found (0.3ubuntu17.04.2) zesty; urgency=medium

  * Update scan.data for zesty final release.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 10 Apr 2017 07:13:34 -0600

command-not-found (0.3ubuntu17.04.1) zesty; urgency=medium

  * Update scan.data for new changes in zesty.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 20 Mar 2017 17:13:54 -0600

command-not-found (0.3ubuntu17.04.0) zesty; urgency=medium

  [ Dominique Ramaekers ]
  * Fix crash on unreasonable long input (LP: #1643167)

  [ Michael Vogt ]
  * Updated the scan.data for zesty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Dec 2016 07:37:52 +0100

command-not-found (0.3ubuntu16.10.0) yakkety; urgency=medium

  * command-not-found: Specify full path to python3 (LP: #1585696)
  * debian/rules: rm UnifiedDataExtractor/scan.data-old on clean.
  * Update data for yakkety, and add s390x database (LP: #1593592)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Jun 2016 00:41:31 -0600

command-not-found (0.3ubuntu16.04.1) xenial; urgency=medium

  * ./update-from-web.sh: adjust script to not hardcode scp username.
  * Update data again for some late changes in xenial.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Apr 2016 11:24:59 -0700

command-not-found (0.3ubuntu16.04) xenial; urgency=medium

  * update data to latest xenial

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Apr 2016 09:15:31 +0200

command-not-found (0.3ubuntu16.04~pre2) xenial; urgency=medium

  * Merge lp:command-not-found:
    - use apt, instead of apt-get.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Feb 2016 05:59:46 +0000

command-not-found (0.3ubuntu16.04~pre1) xenial; urgency=medium

  * updated for xenial

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Jan 2016 19:53:31 +0100

command-not-found (0.3ubuntu15.10.1) wily; urgency=low

  * updated for latest wily

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 25 Aug 2015 10:32:14 +0200

command-not-found (0.3ubuntu15.10.0) wily; urgency=low

  [ Carsten Hey ]
  * Update /etc/zsh_command_not_found:
    - Don't overwrite an already defined command-not-found handler.
    - Don't try to run command-not-found if the package has been
      removed since the shell has been started.

  [ Michael Vogt ]
  * updated for latest wily

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Jul 2015 08:02:05 +0200

command-not-found (0.3ubuntu15.3) vivid; urgency=low

  * updated for vivid (LP: #1439438)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Apr 2015 18:37:06 +0200

command-not-found (0.3ubuntu15.2) vivid; urgency=low

  * updated for vivid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Mar 2015 15:41:32 +0100

command-not-found (0.3ubuntu15.1) utopic-proposed; urgency=low

  * scan.data updated
  * blacklist postgresql-xc (LP: #1384864)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Oct 2014 09:42:24 +0100

command-not-found (0.3ubuntu15) utopic; urgency=low

  * update scan.data for utopic-rc

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Oct 2014 16:20:42 +0200

command-not-found (0.3ubuntu14) utopic; urgency=low

  * update scan.data

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Sep 2014 16:08:21 +0200

command-not-found (0.3ubuntu13) utopic; urgency=low

  * add python3 suggestion if a user types "python"
    (LP: #1306682)
  * do not crash for invalid unicode (LP: #1130444)
  * update scan.data to latest utopic

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Jul 2014 08:03:59 +0200

command-not-found (0.3ubuntu12) trusty; urgency=low

  * updated scan.data for trusty (main architectures & ports)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 03 Apr 2014 08:12:33 +0200

command-not-found (0.3ubuntu11) trusty; urgency=low

  * python-commandnotfound needs to breaks/replaces with
    command-not-found from precise.  (LP: #1296072)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 22 Mar 2014 23:25:21 +0800

command-not-found (0.3ubuntu10) trusty; urgency=medium

  [ Anthony Wong ]
  * Fix locale.Error: unsupported locale setting bug (LP: #1029204)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Mar 2014 12:04:22 +0000

command-not-found (0.3ubuntu9) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:33 +0000

command-not-found (0.3ubuntu8) saucy; urgency=low

  [ Gerhard Burger ]
  * Patch to fix traceback when getting input in Python 2 environment.
    (LP: #1073919)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 29 Jul 2013 18:37:17 -0400

command-not-found (0.3ubuntu7) raring; urgency=low

  [ Danilo Segan ]
  * Reintroduce Python2 support with python-commandnotfound package.
    (LP: #1123193)

  [ Barry Warsaw ]
  * Move the Python 3 library to the python3-commandnotfound package, and
    build depend command-not-found on that.
  * debian/control: Bump to Standards-Version: 3.9.4
  * debian/rules: Remove --without=python-support as no longer needed.

 -- Danilo Segan <danilo@kvota.net>  Wed, 20 Feb 2013 09:51:10 +0100

command-not-found (0.3ubuntu6) raring; urgency=low

  * Build depend on python3-all.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Oct 2012 11:19:07 +0100

command-not-found (0.3ubuntu5) quantal; urgency=low

  * updated for the RC release, re-scan archive now that the internal
    archive mirror is up-to-date again
  * blacklist pentium-builder (LP: #1062043)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Oct 2012 13:39:27 +0200

command-not-found (0.3ubuntu4) quantal; urgency=low

  * updated for beta2

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 25 Sep 2012 08:59:00 +0200

command-not-found (0.3ubuntu3) quantal; urgency=low

  * updated to the latest data from quantal

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 30 Aug 2012 15:45:20 +0200

command-not-found (0.3ubuntu2) quantal; urgency=low

  [ Michael Vogt ]
  * update dependency/build-dependencies for the py3 port to
    fix ftbfs
  * update all scripts to run as py3
  * update extractor to use data from bignay

  [ Colin Watson ]
  * Add several debhelper overrides to cope with the lack of buildsystem
    support for Python 3.
  * Drop Python 2 build-dependencies.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Jun 2012 13:46:06 +0200

command-not-found (0.3ubuntu1) quantal; urgency=low

  * initial quantal upload
    - this still includes metadata from precise as rookery is not
      updating the command-not-found data exports
  * includes python3 port, thanks to Colin Watson

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 26 Jun 2012 20:20:58 +0200

command-not-found (0.2.46ubuntu6) precise; urgency=low

  * Import sys again in command-not-found's KeyboardInterrupt handler
    (LP: #864461).
  * Forcibly remove /usr/lib from the start of sys.path to avoid unsightly
    ImportWarning noise (LP: #983875).
  * Update scan.data to current precise.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Apr 2012 12:35:51 +0100

command-not-found (0.2.46ubuntu5) precise; urgency=low

  * scan.data:
    - updated to current precise

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Feb 2012 18:06:00 +0100

command-not-found (0.2.46ubuntu4) precise; urgency=low

  * Fix debian/rules to work correctly when we're not building arch-indep
    packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Feb 2012 23:28:07 +0000

command-not-found (0.2.46ubuntu3) precise; urgency=low

  * Check for the always-present sudo group first, so that checking for
    'admin' on new installs doesn't raise a key error by mistake.
    LP: #893842.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Feb 2012 14:46:59 -0800

command-not-found (0.2.46ubuntu2) precise; urgency=low

  * use dh8 and simplify rules file
  * updated to current precise

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Feb 2012 10:10:52 +0100

command-not-found (0.2.46ubuntu1) precise; urgency=low

  * merged from lp:command-not-found trunk:
    - add support for automatic install prompt (enable via the
      COMMAND_NOT_FOUND_INSTALL_PROMPT environment)
    - fix java recommends (LP: #853688)
    - add --no-failure-msg
    - improved zsh support from Alex Jurkiewicz
    - auto-installation support for root users from Serhiy Zahoriya

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Jan 2012 10:39:15 +0100

command-not-found (0.2.45ubuntu3) precise; urgency=low

  * Use the right group name ('sudo', not 'sudoers').  LP: #893842.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Jan 2012 14:21:01 +0100

command-not-found (0.2.45ubuntu2) precise; urgency=low

  * scan.data:
    - updated to current precise

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 06 Jan 2012 11:53:21 +0100

command-not-found (0.2.44.1ubuntu3) precise; urgency=low

  * Recognize the 'sudo' group as a valid admin group as well, so that we
    return the correct error message for those with admin access.
    LP: #893842.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Jan 2012 14:47:43 -0800

command-not-found (0.2.44.1ubuntu2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:01:46 +0000

command-not-found (0.2.44.1ubuntu1) oneiric-proposed; urgency=low

  * updated to the latest data from oneiric (LP: #882276)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 22 Nov 2011 09:13:22 +0100

command-not-found (0.2.44ubuntu1) oneiric; urgency=low

  * merged lp:~zkrynicki/command-not-found/fix-839609
    LP: #839609
  * scan.data:
    - updated to current oneiric

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Sep 2011 15:48:12 +0200

command-not-found (0.2.43ubuntu1) oneiric; urgency=low

  [ Zygmunt Krynicki ]
  * lp:~zkrynicki/command-not-found/rework-locale-support:
    - improved gettext handling

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Aug 2011 15:15:50 +0200

command-not-found (0.2.42ubuntu2) oneiric; urgency=low

  * update to curernt oneiric, this includes the new data
    from http://ports.ubuntu.com/~mvo/command-not-found/ to
    get more up-to-date data for the ports

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Aug 2011 10:12:59 +0200

command-not-found (0.2.42ubuntu1) oneiric; urgency=low

  [ Michael Vogt ]
  * updated data to current oneiric

  [ Zygmunt Krynicki ]
  * merged lp:~fahlgren/command-not-found/speedup thanks to
    Daniel Fahlgren

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Aug 2011 15:09:19 +0200

command-not-found (0.2.41ubuntu6) UNRELEASED; urgency=low

  * merged lp:~julien-nicoulaud/command-not-found/fix-zsh-hook,
    many thanks to Julien Nicoulaud (LP: #624565)
ents

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Aug 2011 16:56:18 +0200

command-not-found (0.2.41ubuntu5) oneiric; urgency=low

  * updated for alpha3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Aug 2011 20:08:36 +0200

command-not-found (0.2.41ubuntu4) oneiric; urgency=low

  * updated to current oneiric

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 01 Jul 2011 15:32:10 +0100

command-not-found (0.2.41ubuntu3) oneiric; urgency=low

  [ Steve Langasek ]
  * Migrate to dh_python2.  LP: #788514.

  [ Michael Vogt ]
  * automatically update the scan.data in the pre-build.sh hook
    (thanks to Steve Langasek for this suggestion)
  * updated to oneiric

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jun 2011 08:56:44 +0200

command-not-found (0.2.41ubuntu2) natty; urgency=low

  * updated for final natty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Apr 2011 13:07:19 +0200

command-not-found (0.2.41ubuntu1) natty; urgency=low

  * updated to current natty
  * updated to include ports.ubuntu.com as well in the scan.data
    set (LP: #533031)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Apr 2011 14:15:19 +0200

command-not-found (0.2.40ubuntu21) natty; urgency=low

  * scan.data:
    - updated for beta1

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Mar 2011 21:48:16 +0100

command-not-found (0.2.40ubuntu20) natty; urgency=low

  * scan.data:
    - updated for alpha3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Mar 2011 10:11:33 +0100

command-not-found (0.2.40ubuntu19) natty; urgency=low

  * scan.data:
    - updated to current natty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 17 Feb 2011 17:08:56 +0100

command-not-found (0.2.40ubuntu18) natty; urgency=low

  * scan.data:
    - updated to current natty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 27 Jan 2011 16:56:22 +0100

command-not-found (0.2.40ubuntu17) natty; urgency=low

  * scan.data:
    - updated to current natty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Jan 2011 11:06:41 +0100

command-not-found (0.2.40ubuntu16) natty; urgency=low

  * scan.data:
    - updated to current natty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Dec 2010 14:26:56 +0100

command-not-found (0.2.40ubuntu15) maverick; urgency=low

  * scan.data:
    - updated to current maverick

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Sep 2010 15:54:41 +0200

command-not-found (0.2.40ubuntu14) maverick; urgency=low

  * scan.data:
    - updated for maverick beta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Aug 2010 17:15:58 +0200

command-not-found (0.2.40ubuntu13) maverick; urgency=low

  * debian/rules:
    - generate pot during build (LP: #549106), thanks to
      David Planella

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Aug 2010 12:23:33 +0200

command-not-found (0.2.40ubuntu12) maverick; urgency=low

  * scan.data:
    - updated for maverick alpha-3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 04 Aug 2010 11:59:09 +0200

command-not-found (0.2.40ubuntu11) maverick; urgency=low

  * scan.data:
    - updated for maverick alpha-2

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Jun 2010 10:13:52 +0200

command-not-found (0.2.40ubuntu10) maverick; urgency=low

  [ Rolf Leggewie ]
  * fix spelling error s/priviledge/privilege/. LP: #574577

  [ Michael Vogt ]
  * scan.data:
    - updated for maverick alpha-1

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 31 May 2010 16:55:04 +0200

command-not-found (0.2.40ubuntu5) lucid; urgency=low

  * scan.data:
    - updated for RC

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Apr 2010 09:59:35 +0200

command-not-found (0.2.40ubuntu4) lucid; urgency=low

  * updated for beta2

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 06 Apr 2010 08:45:24 +0200

command-not-found (0.2.40ubuntu3) lucid; urgency=low

  * CommandNotFound/CommandNotFound.py:
    - cherry pick "add numbers to the alphabet used for suggestions "
      from trunk (r116) (LP: #507760)
  * scan.data:
    - updated for beta-1

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Mar 2010 09:36:32 +0100

command-not-found (0.2.40ubuntu2) lucid; urgency=low

  * scan.data:
    - updated to current lucid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 24 Feb 2010 13:40:40 +0100

command-not-found (0.2.40ubuntu1) lucid; urgency=low

  * scan.data:
    - updated to current lucid
  * command-not-found:
    - catch KeyboardInterrupt during initial import as
      well (LP: #479716)
    - show "command not found" string only when no command
      was found (LP: #408020)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Jan 2010 09:30:41 +0100

command-not-found (0.2.38-4) unstable; urgency=medium

  * Handle packages without a section in Contents (Closes: #616448)

 -- Julian Andres Klode <jak@debian.org>  Tue, 15 Nov 2016 20:39:52 +0100

command-not-found (0.2.38-3) unstable; urgency=medium

  * Upload to unstable for nthykier

 -- Julian Andres Klode <jak@debian.org>  Fri, 01 Apr 2016 20:46:40 +0200

command-not-found (0.2.38-2) experimental; urgency=medium

  * Use apt-file 3.0 (Closes: #807745)
  * Recommend 'apt' instead of 'apt-get'

 -- Julian Andres Klode <jak@debian.org>  Sat, 09 Jan 2016 17:15:38 +0100

command-not-found (0.2.38-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python2 (Closes: #785969)
  * Drop XB-Python-Version, unused.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 25 Aug 2015 17:20:09 -0700

command-not-found (0.2.38-1) unstable; urgency=low

  * Update to latest release
    - Prints an error message if the command could not be found in the
      database (Closes: #551377)
  * Packaging changes:
    - Use python-support instead of python-central.
    - Switch to the new 3.0 (quilt) source format.
  * Bugfixing:
    - Create symlinks for command-not-found in /usr/lib (used by bash),
      and in /usr/bin for manual invocation (Closes: #543747)
    - Strip package names so they don't contain newlines (Closes: #521276)
    - Fix typo in the description (Closes: #503629)
    - Use mode 0644 for the database files (Closes: #522450), and set
      the umask to 022 while running the update-command-not-found script.
    - Set -e in the maintainer scripts, reported by lintian.
  * Change update-command-not-found to only add the section to the database
    filenames. Delete old cache files in postinst, so users only get the
    new ones.
  * Stop installing /etc/bash_command_not_found, since the standard one
    included in bash works now.

 -- Julian Andres Klode <jak@debian.org>  Mon, 02 Nov 2009 20:43:12 +0100

command-not-found (0.2.38ubuntu4) karmic; urgency=low

  * updated to current karmic
  * fix pacakge suggestion for "tex" (LP: #427850)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Oct 2009 09:19:23 +0200

command-not-found (0.2.38ubuntu3) karmic; urgency=low

  * updated for BETA

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 02 Oct 2009 09:21:05 +0200

command-not-found (0.2.38ubuntu2) karmic; urgency=low

  * updated for alpha6

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Sep 2009 11:02:39 +0200

command-not-found (0.2.38ubuntu1) karmic; urgency=low

  * updated data to current karmic
  * print error if a command is not found (bash used to do that
    but with bash-4.0 it does no longer) LP: #420161

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 02 Sep 2009 16:13:17 +0200

command-not-found (0.2.37ubuntu3) karmic; urgency=low

  * updated data to current karmic

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Aug 2009 09:08:51 +0200

command-not-found (0.2.37ubuntu2) karmic; urgency=low

  * scan.data:
    - updated for alpha-3
  * CommandNotFound/CommandNotFound.py:
    - do not give advice if apt-get is not installed
      (LP: #394842)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Jul 2009 13:17:27 +0200

command-not-found (0.2.37ubuntu1) karmic; urgency=low

  * CommandNotFound/CommandNotFound.py:
    - set min_length for mispelling suggestion to 3 (LP: #396829)
    - set max_length for mispelling suggestion to 15, if there
      are more, just a summary is printed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jul 2009 10:44:00 +0200

command-not-found (0.2.36ubuntu1) karmic; urgency=low

  * scan.data: updated to current karmic
  * scan.data: add exception for gftp (LP: #99708)
  * debian/postinst:
    - if old/leftover /etc/bash_command_found_found is there,
      remove it (LP: #379851)
  * debian/rules:
    - build with DH_PYCENTRAL=include-links LP: #342003
  * CommandNotFound/util.py:
    - use try gettext if lgettext fails (LP: #282446)
  * debian/copyright:
    - fix location (LP: #314478)
  * CommandNotFound/CommandNotFound.py:
    - be more robust about missing priority.txt (LP: #359784)
    - add simple spelling correction (LP: #314486)
  * debian/control:
    - build for all python versions (LP: #366096)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Jun 2009 13:58:24 +0200

command-not-found (0.2.35ubuntu2) karmic; urgency=low

  * scan.data: updated for alpha-2

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Jun 2009 11:58:06 +0200

command-not-found (0.2.35ubuntu1) karmic; urgency=low

  * zsh_command_not_found:
    - Use the pseudo-namespace prefix cnf_ for everything.
    - Append the preexec/precmd functions to zsh’s pre*_functions arrays,
      allowing other pre* functions to be used simultaneously.

 -- Johan Kiviniemi <debian@johan.kiviniemi.name>  Fri, 15 May 2009 22:13:00 +0300

command-not-found (0.2.34ubuntu3) jaunty; urgency=low

  * scan.data:
    - updated for RC

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Apr 2009 10:11:13 +0200

command-not-found (0.2.34ubuntu2) jaunty; urgency=low

  * scan.data:
    - updated to current jaunty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Apr 2009 21:58:51 +0200

command-not-found (0.2.34ubuntu1) jaunty; urgency=low

  * CommandNotFound/CommandNotFound.py:
    - support "priority.txt" file that allows basic priority
      ordering in the output
  * data/priority.txt:
    - add initial version with "openjdk-6-jdk" (LP: #318442)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Mar 2009 13:45:26 +0100

command-not-found (0.2.33ubuntu3) jaunty; urgency=low

  * scan.data:
    - updated for jaunty beta
  * suggest pythonX.Y instead of pythonX.Y-minimal when
    "pythonX.Y" is not found

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Mar 2009 11:07:26 +0100

command-not-found (0.2.33ubuntu2) jaunty; urgency=low

  * scan.data: updated to current jaunty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Mar 2009 09:21:37 +0100

command-not-found (0.2.33ubuntu1) jaunty; urgency=low

  * debian/rules:
    - update debian/rules to the new python way of installing
      packages
  * command-not-found:
    - remove "-S" from "#!/usr/bin/python"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Mar 2009 09:15:48 +0100

command-not-found (0.2.32ubuntu1) jaunty; urgency=low

  [ Steve Langasek ]
  * CommandNotFound/CommandNotFound.py:
    - add support for sorting by components

  [ Michael Vogt ]
  * scan.data: updated

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Feb 2009 16:34:20 +0100

command-not-found (0.2.31ubuntu2) jaunty; urgency=low

  * scan.data: fix git data (LP: #318433) by updating
    to the latest data

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Jan 2009 08:53:25 +0100

command-not-found (0.2.31ubuntu1) jaunty; urgency=low

  * scan.data: updated for jaunty alpha3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Jan 2009 21:08:22 +0100

command-not-found (0.2.30ubuntu1) jaunty; urgency=low

  [ Nick Ellery ]
  * Fixed spelling errors in package description (LP: #285631).

  [ Michael Vogt ]
  * add verify_scan_data.py to check against component mismatches
    and incorrect architecture fields
  * improve diff-scan-data.py

 -- Nick Ellery <nick.ellery@ubuntu.com>  Tue, 04 Nov 2008 17:13:45 -0800

command-not-found (0.2.26-1) unstable; urgency=low

  * Initial Upload to Debian (Closes: #418613)
  * Fetch the data from available apt sources and drop command-not-found-data:
    - update-command-not-found: Script to update the cache using apt-file files.
    - patches/adjust-paths.diff: Move databases to /var/cache/command-not-found
    - patches/no-enable-component.diff: Remove 'enable the component' messages
  * Re-do packaging
    - Do not install using setup.py, but simply copy needed files
    - Make the Python modules private
    - Move the command-not-found script to /usr/share/command-not-found
    - Build-Depend on debhelper, quilt and python-central only
  * other packaging stuff
    - Upgrade Policy Version to 3.8.0
    - debhelper compat level 7
    - Rewrite copyright file (machine-interpretable)
  * patches/bts.diff: Point to information on how to report bugs in Debian,
    and not to Launchpad. Also update the version number.

 -- Julian Andres Klode <jak@debian.org>  Fri, 24 Oct 2008 20:35:41 +0200

command-not-found (0.2.26ubuntu1) intrepid; urgency=low

  * scan.data updated to current intrepid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Oct 2008 17:45:26 +0200

command-not-found (0.2.25ubuntu2) intrepid; urgency=low

  [ Era Eriksson ]
  * Print where-to-find-command, incorrect-PATH, and crash-guard messages to
    stderr rather than stdout (LP: #212723).

  [ Colin Watson ]
  * Fix various crash bugs in the crash handler (LP: #269821).
  * Adjust crash handler syntax to be friendly to Python 2.4 (LP: #234540).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Oct 2008 13:27:20 +0100

command-not-found (0.2.25ubuntu1) intrepid; urgency=low

  * command-not-found data updated for beta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Sep 2008 20:43:10 +0200

command-not-found (0.2.24ubuntu1) intrepid; urgency=low

  * updated scan.data for alpha-6

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Sep 2008 23:05:26 +0200

command-not-found (0.2.23ubuntu1) intrepid; urgency=low

  [ Zygmunt Krynicki ]
  * fix crash when PATH is unset (LP: #258572)

  [ Michael Vogt ]
  * scan.data:
    - updated to current intrepid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Aug 2008 15:57:14 +0200

command-not-found (0.2.22ubuntu1) intrepid; urgency=low

  [ Zygmunt Krynicki ]
  * Fixed some locale issues and enchanced error reporting

  [ Michael Vogt ]
  * scan.data:
    - updated to current intrepid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Aug 2008 18:24:21 +0200

command-not-found (0.2.21ubuntu1) intrepid; urgency=low

  * scan.data:
    - updated to current intrepid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Jul 2008 14:22:17 +0200

command-not-found (0.2.20ubuntu1) intrepid; urgency=low

  * scan.data:
    - updated for intrepid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 30 Jun 2008 16:46:44 +0200

command-not-found (0.2.17ubuntu1) hardy; urgency=low

  * scan.data:
    - upated for RC

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Apr 2008 10:59:54 +0200

command-not-found (0.2.16ubuntu1) hardy; urgency=low

  * updated to latest hardy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Apr 2008 10:36:34 +0200

command-not-found (0.2.15ubuntu1) hardy; urgency=low

  [ Kjell Braden ]
   * Don't run command-not-found from the shell scripts when it has been
     removed in the meantime (LP: #194939)

  [ Michael Vogt ]
  * CommandNotFound/CommandNotFound.py:
    - do not advise on ".." (LP: # 195090) - thanks to Thomas Perl
    - do not crash on problems with python-apt (LP: #161804)
  * debian/control:
    - improve description (LP: #144153)
  * command-not-found:
    - make the crash message a bit more friendly
  * use lgettext() instead of gettext() (LP: #161159)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Mar 2008 10:01:20 +0100

command-not-found (0.2.14ubuntu1) hardy; urgency=low

  * updated data for alpha-6
  * fixed bug in data extraction code for hardlinks
    (git-diff and friends was not in the index because of this)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Mar 2008 17:00:42 +0100

command-not-found (0.2.13ubuntu1) hardy; urgency=low

  * updated data for alpha-5

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Feb 2008 19:24:40 +0100

command-not-found (0.2.12ubuntu1) hardy; urgency=low

  * updated data for alpha-3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Jan 2008 15:25:11 +0100

command-not-found (0.2.11ubuntu3) hardy; urgency=low

  * CommandNotFound/CommandNotFound.py: When $HOME is not set, fall back to
    /root instead of crashing with a type error. (LP: #177934)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Jan 2008 15:57:51 +0100

command-not-found (0.2.11ubuntu2) hardy; urgency=low

  * python-gdbm added to Depends, not just b-d

 -- Rick Clark <rick.clark@ubuntu.com>  Sun, 09 Dec 2007 15:51:19 -0500

command-not-found (0.2.11ubuntu1) hardy; urgency=low

  * fix FTBFS by adding missing b-d on python-gdbm (thanks to
    Michael Bienia)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Dec 2007 10:52:32 +0100

command-not-found (0.2.10ubuntu1) hardy; urgency=low

  * command-not-found:
    - add --ignore-installed parameter to display the packages
      that have the given command even if the command is installed
  * updated data for hardy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Dec 2007 21:43:49 +0100

command-not-found (0.2.9ubuntu1) hardy; urgency=low

  * switch from dbm to gdbm

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 10 Nov 2007 14:51:51 -0500

command-not-found (0.2.8ubuntu2) gutsy; urgency=low

  * debian/control:
    - fix command not found description
  * scan.data updated to current gutsy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 06 Oct 2007 13:06:23 +0200

command-not-found (0.2.8ubuntu1) gutsy; urgency=low

  [ Michael Vogt ]
  * added missing pyhton-apt dependency (LP: #138842)

  [ Niklas Klein ]
  * CommandNotFound/CommandNotFound.py added test for propper set PATH variable.
    Backport from version 0.3 (LP: #111255).

 -- Niklas Klein <kleinernik@gmail.com>  Fri, 24 Sep 2007 09:33:22 +0200

command-not-found (0.2.7) gutsy; urgency=low

  [Zygmunt Krynicki]
  * data/suggestions.d:
    - removed
  * CommandNotFound/CommandNotFound.py:
    - fix typo in string substitution (LP: #131435)
    - only print components that are really required (LP: #133869)
  * setup.py:
    - move to /usr/lib, no end-user application (LP: #112411)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Aug 2007 06:49:01 +0200

command-not-found (0.2.6) gutsy; urgency=low

  * updated command-not-found data to current gutsy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Aug 2007 22:00:55 +0200

command-not-found (0.2.5) gutsy; urgency=low

  * Send output to stderr, not stdout (LP: #129257).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jul 2007 17:12:32 +0100

command-not-found (0.2.4) feisty; urgency=low

  [ Michael Vogt ]
  * remove support for suggestins.d/ dir (not used currently and
    may break stuff)

  [ Zygmunt Krynicki ]
  * Fixed launchpad #95794: warning emitted about not finding group name
  * data files updated

  [ Johan Kiviniemi ]
  * zsh_command_not_found: unset the command variable, otherwise an empty
    line will rerun command-not-found. Thanks to Chris Ball for suggesting
    this (LP: #92942).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Apr 2007 17:39:09 +0200

command-not-found (0.2.3) feisty; urgency=low

  [Johan Kiviniemi]
  * zsh_command_not_found, README, setup.py: Added support for zsh.
    (LP#92942, thanks!)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Mar 2007 23:57:58 +0100

command-not-found (0.2.2) feisty; urgency=low

  * refreshed database to current feisty
  * set maintainer field to ubuntu

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Mar 2007 19:00:49 +0100

command-not-found (0.2.1) feisty; urgency=low

  * always return 127 to be compatible with the shell (lp: #67726)
  * make the message less confusing for non-admin users
    (Thanks to Chris Wagner for his patch, lp: #64220)
  * Grammar fixes (lp: #64542)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Jan 2007 18:11:08 +0100

command-not-found (0.2.0) feisty; urgency=low

  [Zygmunt Krynicki]
  * applied patch from Daniel Werner <daniel.d.werner@googlemail.com>
  * minor fixes to the suggestions database
  * updated the README file
  [Michael Vogt]
  * make the extraction skip package not available in the current
    distro release
  * updated the binary database with the latest feisty
  * show component information for other components than main

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  5 Jan 2007 09:56:15 +0100

command-not-found (0.1.0) edgy; urgency=low

  [Zygmunt Krynicki]
  * updated the suggestions database
  * added support for update-alternative calls in the postinst (yeah!)
  * code cleanups
  [Michael Vogt]
  * updated the binary database wit the latest edgy
  * the command-not-found-data is build pre arch now


 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Sep 2006 19:33:33 +0200

command-not-found (0.0.2) edgy; urgency=low

  * return 127 to bash if nothing was found in the database
  * update the database

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Aug 2006 15:05:14 +0200

command-not-found (0.0.1) edgy; urgency=low

  * initial release
  * start of the implementation of
    https://wiki.ubuntu.com/CommandNotFoundMagic
  * contains the current commands on edgy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Nov 2005 16:34:54 +0100
